PUT ProductManager/products/{slugId}/heroshot?companyEntityId={companyEntityId}
Set an image as the Hero Shot (default image). Only one Hero Shot can be assigned per product. This call will replace currrent Hero Shot.
Information:
Base URL:
https://api.covasoft.net/productlibrary
Example of a call would be:
https://api.covasoft.net/productlibrary/ProductManager/products/{slugId}/heroshot?companyEntityId={companyEntityId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| companyEntityId |
The unique Company Id that was provided in your onboarding package |
integer |
Required |
| slugId |
The Slug of the product. Typically in the format `M12345` or `M12345-V2` |
string |
Required |
Body Parameters
AssignHeroShot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Id from the POST /asset call |
globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "0b1ad133-78cf-4e06-93b6-6cee00389fa9"
}
Response Information
Resource Description
AssignHeroShot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Id from the POST /asset call |
globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"id": "f93606cf-ec50-4626-ace9-cb46f7e288ab"
}